import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Location } from '@angular/common';
@Component({
  selector: 'app-detail-tz',
  templateUrl: './detail-tz.page.html',
  styleUrls: ['./detail-tz.page.scss'],
})
export class DetailTZPage implements OnInit {

  poem = {  
    title: '',  
    dynasty: '',  
    author: '',  
    content: `  
      床前明月光，  
      疑是地上霜。  
      举头望明月，  
      低头思故乡。  
    `,  
    intro: '这首诗描绘了诗人在寂静的夜晚，看到床前的明亮月光，误以为是地上的霜。他抬头望向明月，不禁低头思念起远方的故乡。',  
    translation: 'The bright moonlight in front of the bed, I suspected it was frost on the ground. I raised my head and looked at the bright moon, then lowered my head and thought of my hometown.',  
    appreciation: '此诗以清新朴素的笔触，抒写了丰富深曲的内容，境是境，情是情，那么逼真，那么动人，百读不厌，耐人寻绎。无怪乎有人赞它是“妙绝古今”。'  
  };  
  location: any;
  constructor(private navCtrl: NavController) { }

  ngOnInit() {
  }
  goBack() {  
    this.location.back()   //点返回，跳转到上个界面
  }
}
